package com.tuoheng.admin.service.third.airport;

import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.admin.request.accident.AccidentFlightRequest;
import com.tuoheng.admin.request.accident.ReversalFlightRequest;
import com.tuoheng.common.core.utils.JsonResult;

public interface AirportService {

    JsonResult getAirportList();

    JsonResult getAirLineList(Integer droneId);

    JsonResult executeTask(String userId, Inspection inspection);

    JsonResult getDroneDataById(Integer airportId);

    JsonResult pointFlight(AccidentFlightRequest request);


    JsonResult reversalFlight(ReversalFlightRequest request);

}
